# Generated by go2rpm 1.14.0
%bcond_without check
%bcond_without bootstrap

%global debug_package %{nil}

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/google/cel-go
%global goipath         github.com/google/cel-go
Version:                0.20.1

%gometa -f

%global common_description %{expand:
The Common Expression Language (CEL) is a non-Turing complete language designed
for simplicity, speed, safety, and portability. CEL's C-like syntax looks nearly
identical to equivalent expressions in C++, Go, Java, and TypeScript.}

%global golicenses      LICENSE
%global godocs          examples CODE_OF_CONDUCT.md CONTRIBUTING.md README.md

Name:           %{goname}
Release:        %mkrel 1
Summary:        Fast, portable, non-Turing complete expression evaluation
Group:          Development/Other

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  antlr4

%description %{common_description}

%gopkg

%prep
%goprep

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%build
# Regenerate ANTLR files
pushd parser/gen
antlr4 -Dlanguage=Go -package gen -visitor CEL.g4
popd

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
# server fails but you need first to check it for undefined behavior with cel-spec
%gocheck -d server
%endif
%endif

%gopkgfiles


%changelog
* Sat Jul 13 2024 daviddavid <daviddavid> 0.20.1-1.mga10
+ Revision: 2080901
- Version 0.20.1
- Regenerate spec with go2rpm 1.14.0
- Bootstrap build

* Sat Aug 20 2022 guillomovitch <guillomovitch> 0.12.5-1.mga9
+ Revision: 1878870
- new version 0.12.5
+ pterjan <pterjan>
- Update to 0.12.4, partial sync with Fedora

* Wed Apr 06 2022 umeabot <umeabot> 0.7.0-2.mga9
+ Revision: 1846022
- Mageia 9 Mass Rebuild

* Sun Nov 07 2021 guillomovitch <guillomovitch> 0.7.0-1.mga9
+ Revision: 1754670
- new version 0.7.0

* Thu Dec 31 2020 pterjan <pterjan> 0.6.0-1.mga8
+ Revision: 1667346
- Mageiaize
- imported package golang-github-google-cel


* Wed Dec 23 09:21:17 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.6.0-1.20201223git4c3317a
- Initial package
